#ifndef	__MAIN_H__
#define	__MAIN_H__
//*******************************************************
//
//	LiPoLight
//
//	ATtiny13
//		hfuse:0xFB	BOD 2.7V
//		lfuse:22h	0.6MHz
//
//	Compiler:	AVR-GCC		4.7.2
//				AVR-LIBC	1.8.0
//				binutils	2.20.1
//
//	2013.5.18	KAWAKAMI Yukio
//*******************************************************

#define		F_CPU	1200000UL	// 1.2MHz

#define		NOP		asm volatile("nop\n"::)
#define		WDR		asm volatile("wdr\n"::)
#define		SLEEP	asm volatile("sleep\n"::)

typedef	unsigned char	uchar;
typedef	unsigned int	uint;
typedef unsigned short	ushort;
typedef	unsigned long	ulong;

// 動作に関係する抵抗値
#define		R5_VAL		10			// R5抵抗値(Ω)
#define		R10_VAL		47			// R10抵抗値(kΩ)
#define		R12_VAL		10			// R12抵抗値(kΩ)

// ポート設定 (PORTB)
#define	BATT	4
#define	SWITCH	3
#define	LED		2
#define	PWM		1
#define	PLOCK	0	// PORTB

#define	ADC_BATT	2
#define	ADC_LED		1

#define	IS_SW		(!(PINB & (1<<SWITCH)))
#define	POWER_LOCK	PORTB |= (1<<PLOCK)
#define	POWER_OFF	PORTB &= ~(1<<PLOCK)
#define	LED_ON		DDRB |= (1<<SWITCH); PORTB &= ~(1<<SWITCH)
#define	LED_OFF		PORTB |= (1<<SWITCH); DDRB &= ~(1<<SWITCH)
#define	PWM_ON		PORTB &= ~(1<<PWM)
#define	PWM_OFF		PORTB |= (1<<PWM)
#define	IS_LED_ON	(!(PORTB & (1<<SWITCH)))
#define	IS_LED_OFF	(PORTB & (1<<SWITCH))

void shutdown(void);
void wait_timer(uchar tm);

#endif	// __MAIN_H__
